2024-04-20 22:08 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002413Moonstone[WHDLoad Installs Games] slavepublic2011-05-06 20:18
ReporterLucas 
Assigned ToWeplProject InfoMoonstone (Mindscape)
http://www.whdload.de/games/Moonstone.html
 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002413: Moonstone: A Hard Days Knight
DescriptionHi, I've found a bug in the slave -> the game does not position elements in caves randomly. I've tested a few options and even after hard reset keys and other objects were in the same places as before. On the adf version everything is fine. Even once I've fought instead of a bore with a warrior with long spear.
TagsNo tags attached.
MachineUAE
CPU68020
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad16.9
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0002231

Retroplay (reporter)

I don't think this is bug related to WHDLoad.
The cracked version by Crystal I played back in the day never positioned the elements randomly, they where always in the same place.

note ~0002232

Lucas (reporter)

I checked the CLS version at my friend's as I've written :)

note ~0002233

Retroplay (reporter)

That's very strange, a friend of mine even drew a map of where to find the keys/elements.
I do see that TOSEC lists several [a] versions of Moonstone, maybe some of them have been tampered with somehow.

note ~0002251

Wepl (manager)

can you please describe how to reproduce this problem?
in which cave should which items appear randomly?
please provide also a link to download the disk images you used.

note ~0002253

Lucas (reporter)

http://planetemu.net/?section=roms&dat=754&action=showrom&id=1073593
http://planetemu.net/?section=roms&dat=754&action=showrom&id=1073598
http://planetemu.net/?section=roms&dat=754&action=showrom&id=1073600

j.w :)

note ~0002260

administrator (administrator)

which cave?
which item?

note ~0002261

Lucas (reporter)

Last edited: 2011-04-06 23:17

View 3 revisions

ALL ITEMS in ALL CAVES -> vary the amount of money, items, random key in a different cave.
OPPONENTS -> Only warriors with spears <-> wild.

Screens:

Start Game...

http://img140.imageshack.us/img140/9924/startgame.png

Wins...

http://img813.imageshack.us/img813/1783/cave.png

SOFT RESET & Wins...

http://img718.imageshack.us/img718/7964/cavef.png

note ~0002278

Wepl (manager)

please try the attached new slave
the random init has been modified, on my real hardware I could not reproduce your problem, but maybe this happens only on winuae
please note that for the first map after starting the game there are only 4 possible distributions of items!
so when checking try more than two games...
ob subsequent games also other distributions are possible

note ~0002290

Lucas (reporter)

it's working ;)
Thank you, Bert

note ~0002292

Wepl (manager)

new install package has been released
+Notes

-Issue History
Date Modified Username Field Change
2011-03-02 18:55 Lucas New Issue
2011-03-26 10:52 Wepl Assigned To => Wepl
2011-03-26 10:52 Wepl Status new => assigned
2011-03-28 18:07 Retroplay Note Added: 0002231
2011-03-29 21:27 Lucas Note Added: 0002232
2011-03-30 10:45 Retroplay Note Added: 0002233
2011-04-03 23:57 Wepl Note Added: 0002251
2011-04-04 02:22 Lucas Note Added: 0002253
2011-04-06 20:56 administrator Note Added: 0002260
2011-04-06 23:16 Lucas Note Added: 0002261
2011-04-06 23:16 Lucas Note Edited: 0002261 View Revisions
2011-04-06 23:17 Lucas Note Edited: 0002261 View Revisions
2011-05-01 17:47 Wepl File Added: Moonstone.Slave
2011-05-01 17:52 Wepl Note Added: 0002278
2011-05-01 17:52 Wepl Status assigned => feedback
2011-05-06 15:59 Lucas Note Added: 0002290
2011-05-06 15:59 Lucas Status feedback => assigned
2011-05-06 20:18 Wepl Note Added: 0002292
2011-05-06 20:18 Wepl Status assigned => closed
2011-05-06 20:18 Wepl Resolution open => fixed
+Issue History